![icons-plus](https://user-images.githubusercontent.com/82075108/217533071-8a68707c-20bc-4a8d-9216-f0fd79fb6f37.svg)

[![chouhan-rahul](https://user-images.githubusercontent.com/82075108/217530685-069f28a4-1504-40fc-80e5-cb9136bd63d0.svg)](https://github.com/chouhan-rahul)

### Donate

[![buy-me-a-coffee](https://user-images.githubusercontent.com/82075108/217530671-e0876f82-3e4d-462a-adb9-6eca632fb177.svg)](https://www.buymeacoffee.com/rahulchouhan)
_[![ko-fi](https://user-images.githubusercontent.com/82075108/217530691-575ef793-feda-4a85-b580-ef7686531965.svg)](https://ko-fi.com/rahulchouhan)_
_[![paypal](https://user-images.githubusercontent.com/82075108/217530694-2cf01e37-853f-41f2-88c9-4c211a4fb2bd.svg)](https://paypal.me/rahulvchouhan)_

### Become a sponsor

[![sponsor](https://user-images.githubusercontent.com/82075108/217530705-550f533e-3e7e-4da8-922c-82251aa629bb.svg)](https://github.com/sponsors/chouhan-rahul)

# Icons Plus

Icons Plus is a flutter package that provides access to multiple popular icon packs in one place, making it easier for developers to enhance the appearance of their apps with a wider range of icon choices. With this package, developers can make their apps more visually appealing by selecting from a variety of popular icon packs.

# What's new in version 4.0

- [HeroIcons](#heroicons) added.
- [Iconsax](#iconsax) added.
- [OctIcons](#octicons) added.

# Here is a comprehensive list of the icon packs included in the package

Currently, the following icon packs are available, and additional icon packs will be included in the upcoming release.

- [Bootstrap](#bootstrap) version: 1.10.0 [LICENSE](https://github.com/twbs/icons/blob/main/LICENSE.md)
- [BoxIcons](#boxicons) version: 2.1.4 [LICENSE](https://github.com/atisawd/boxicons/blob/master/LICENSE)

  - Logo
  - Regular
  - Solid

- [EvaIcons](#evaicons) version: 1.1.3 [LICENSE](https://github.com/akveo/eva-icons/blob/master/LICENSE.txt)
  - Fill
  - Outline
- [Flags](#flags)
- [FontAwesome](#fontawesome) version: 6.3.0 [LICENSE](https://github.com/FortAwesome/Font-Awesome/blob/6.x/LICENSE.txt)
  - Regular
  - Solid
  - Brand
- [HeroIcons](#heroicons) version: 2.0.14 [LICENSE](https://github.com/tailwindlabs/heroicons/blob/master/LICENSE)
- [Iconsax](#iconsax) version: 1.0 [LICENSE](https://iconsax.io)
- [IonIcons](#ionicons) version: 5.5.2 [LICENSE](https://github.com/ionic-team/ionicons/blob/main/LICENSE)
- [Logos](#logos)
- [LineAwesome](#lineawesome) version: 1.3.0 [LICENSE](https://github.com/icons8/line-awesome/blob/master/LICENSE.md)
- [OctIcons](#octicons)  version: 17.11.1 [LICENSE](https://github.com/primer/octicons/blob/main/LICENSE)
- [PixelArtIcons](#pixelarticons) version: 1.7.0 [LICENSE](https://github.com/halfmage/pixelarticons/blob/master/LICENSE)

# Bootstrap

Here's an illustration on utilizing Bootstrap icons.

![bootstrap](https://user-images.githubusercontent.com/82075108/217556608-8a881c24-b3fb-4988-8d50-99bd7d458c92.svg)

```dart
  Icon(Bootstrap.google),
  Icon(Bootstrap.bootstrap),
  Icon(Bootstrap.git),
  Icon(Bootstrap.meta),
  Icon(Bootstrap.github),
```

# BoxIcons
Here's an illustration on utilizing BoxIcons. To use Boxicons logo icon, use the prefix `bxl`; for a regular icon, use `bx`, and for a solid icon, use `bxs`.

![boxicons](https://user-images.githubusercontent.com/82075108/217556633-ec404c2e-1f87-4ac0-b701-951e7fa1066e.svg)

```dart
  Icon(BoxIcons.bxl_stripe),
  Icon(BoxIcons.bxl_firebase),
  Icon(BoxIcons.bxl_git),
  Icon(BoxIcons.bxl_github),
  Icon(BoxIcons.bxl_google),
```

# EvaIcons

Here's an illustration on utilizing EvaIcons.

![evaicons](https://user-images.githubusercontent.com/82075108/217556644-c625113d-1fb1-4b7c-9627-f693314fe48e.svg)

```dart
  Icon(EvaIcons.twitter),
  Icon(EvaIcons.facebook),
  Icon(EvaIcons.github),
  Icon(EvaIcons.google),
  Icon(EvaIcons.linkedin),
```

# Flags

Here's an illustration on utilizing Flags.

![flags](https://user-images.githubusercontent.com/82075108/217556657-b3ce3164-3ee2-4de1-b27a-15bc83845ded.svg)

```dart
  Flag(Flags.spain),
  Flag(Flags.india),
  Flag(Flags.france),
  Flag(Flags.united_kingdom),
  Flag(Flags.united_states_of_america),
```

# FontAwesome

Here's an illustration on utilizing FontAwesome icons.

![fontawesome](https://user-images.githubusercontent.com/82075108/217556665-8f1e62ac-bb47-47b4-a128-7c29f2ccd92f.svg)

```dart
  Icon(FontAwesome.golang),
  Icon(FontAwesome.google),
  Icon(FontAwesome.google_drive),
  Icon(FontAwesome.android),
  Icon(FontAwesome.angular),
```

# HeroIcons

Here's an illustration on utilizing HeroIcons.

![heroicons](https://user-images.githubusercontent.com/82075108/217556674-af217d8b-5228-4d72-9ae9-56e2e0d6808d.svg)

```dart
  Icon(HeroIcons.cake),
  Icon(HeroIcons.fire),
  Icon(HeroIcons.command_line),
  Icon(HeroIcons.cloud),
  Icon(HeroIcons.code_bracket),
```

# Iconsax

Here's an illustration on utilizing Iconsax icons.

![iconsax](https://user-images.githubusercontent.com/82075108/217556681-ee4b3303-29ae-45e8-a5e5-ec3fe7edc67d.svg)

```dart
  Icon(Iconsax.cloud),
  Icon(Iconsax.data),
  Icon(Iconsax.heart),
  Icon(Iconsax.lovely),
  Icon(Iconsax.mouse),
```

# IonIcons

Here's an illustration on utilizing IonIcons.

![ionicons](https://user-images.githubusercontent.com/82075108/217556690-b6666b25-fa0d-48cf-b831-0fbbd8fa3e6a.svg)

```dart
  Icon(IonIcons.logo_google),
  Icon(IonIcons.logo_nodejs),
  Icon(IonIcons.logo_android),
  Icon(IonIcons.logo_angular),
  Icon(IonIcons.logo_firebase),
```

# LineAwesome

Here's an illustration on utilizing LineAwesome icons.

![lineawsome](https://user-images.githubusercontent.com/82075108/217556702-c6f75708-08b9-4977-a8cd-380a47774b16.svg)

```dart
  Icon(LineAwesome.github),
  Icon(LineAwesome.google),
  Icon(LineAwesome.android),
  Icon(LineAwesome.angular),
  Icon(LineAwesome.apple),
```

# Logos

Here's an illustration on utilizing Logos.

![logos](https://user-images.githubusercontent.com/82075108/217556711-4021804f-4854-4676-be2b-58ecafdc6445.svg)

```dart
  Logo(Logos.google),
  Logo(Logos.android),
  Logo(Logos.angular),
  Logo(Logos.firebase),
  Logo(Logos.flutter),
```

# OctIcons

Here's an illustration on utilizing OctIcons.

![octicons](https://user-images.githubusercontent.com/82075108/217556718-595bf971-9857-47f2-9b06-829169f8c86d.svg)

```dart
  Icon(OctIcons.git_branch_24),
  Icon(OctIcons.git_commit_24),
  Icon(OctIcons.git_pull_request_24),
  Icon(OctIcons.verified_24),
  Icon(OctIcons.git_merge_24),
```

# PixelArtIcons

Here's an illustration on utilizing PixelArtIcons.

![pixelarticons](https://user-images.githubusercontent.com/82075108/217556732-0f83055e-4c5b-4465-9b9c-5e656a6594d1.svg)

```dart
  Icon(PixelArtIcons.message),
  Icon(PixelArtIcons.android),
  Icon(PixelArtIcons.cloud),
  Icon(PixelArtIcons.code),
  Icon(PixelArtIcons.dollar),
```

# Report bugs or issues

You are welcome to open a _[ticket](https://github.com/chouhan-rahul/icons_plus/issues)_ on github if any problems arise. New ideas are always welcome.

# Contributors

[![rohit-chouhan](https://user-images.githubusercontent.com/82075108/217530699-563d2165-3e5c-4fbb-9977-13b47c6a5835.svg)](https://www.github.com/rohit-chouhan)

# Copyright and License

> Copyright © 2022 **[Rahul Chouhan](https://rahulchouhan.me)**. Licensed under the _[MIT LICENSE](https://github.com/chouhan-rahul/icons_plus/blob/main/LICENSE)_.